Problème rebuilding Kernel

Tags: #<Tag:0x00007fedda930678>

Bonjour,

Suite à un problèmes de pilotes avec mon eee-pc, j’ai cherché à recompiler le kernel de mon installation Debian en reversant un patch. J’ai donc suivi ce guide officiel:
https://kernel-team.pages.debian.net/kernel-handbook/ch-common-tasks.html#s-common-official.

Mon kernel actuel: 4.19.0-12 (686-pae)
Le kernel source à partir duquel je recompile: 4.19.152-1
Je travaille dans le répertoire « /usr/src »

j’ai réussi à compiler l’image en utilisant le script « test-patches » au 4.2.2. Néanmoins je ne vois pas comment finaliser l’installation de ce kernel patché (le guide n’est pas complet sur cette dernière étape).
J’ai tenté la commande:
dpkg -i usr/src/linux-headers-4.19.0-12-686-pae_4.19.152-1a~test_i386.deb
mais j’obtiens l’erreur suivante:

    Sélection du paquet linux-headers-4.19.0-12-686-pae précédemment désélectionné.
    (Lecture de la base de données... 76908 fichiers et répertoires déjà installés.)
    Préparation du dépaquetage de linux-headers-4.19.0-12-686-pae_4.19.152-1a~test_i386.deb ...
    Dépaquetage de linux-headers-4.19.0-12-686-pae (4.19.152-1a~test) ...
    dpkg: des problèmes de dépendances empêchent la configuration de linux-headers-4.19.0-12-686-pae :
     linux-headers-4.19.0-12-686-pae dépend de linux-headers-4.19.0-12-common (= 4.19.152-1a~test) ; cependant :
      Le paquet linux-headers-4.19.0-12-common n'est pas installé.
     linux-headers-4.19.0-12-686-pae dépend de linux-kbuild-4.19 (>= 4.19.152-1a~test) ; cependant :
      Le paquet linux-kbuild-4.19 n'est pas installé.
     linux-headers-4.19.0-12-686-pae dépend de linux-compiler-gcc-8-x86 ; cependant :
      Le paquet linux-compiler-gcc-8-x86 n'est pas installé.

    dpkg: erreur de traitement du paquet linux-headers-4.19.0-12-686-pae (--install) :
     problèmes de dépendances - laissé non configuré
    Des erreurs ont été rencontrées pendant l'exécution :
     linux-headers-4.19.0-12-686-pae

Savez-vous comment résoudre cette erreur et finaliser l’installation?
Je vous remercie par avance pour votre aide,

Bonjour et bienvenue sur le forum,

Alors, il semblerait que tu aies compilé un paquets qui requiert d’autres paquets.
Si tu veux installer les paquets manquants depuis les dépôts Debian, il faut lancer la commande

apt install -f

Mais, si tu ne veux pas des version précompilées, tu peux toujours les compiler toi-même de la même façon que le paquet que tu as fait.